  member()

  include('WinEQU.CLW')
  include('gjsAbout.INC')

  map
    include('gjsAPI.CLW', 'Prototypes')
  end

gjsAboutClass.Construct     procedure()

  code

gjsAboutClass.Destruct      procedure()

  code

gjsAboutClass.Display       procedure(string sTitle, string sVer, string sIcon)

ulWinVer                    ulong
gWinVer                     group, over(ulWinVer)
bLoLo                         byte
bLoHi                         byte
bHiLo                         byte
bHiHi                         byte
                            end

window WINDOW('???'),AT(,,231,146),FONT('MS Sans Serif',8,,FONT:regular),CENTER,HLP('~WinAbout'),GRAY, |
         DOUBLE
       IMAGE,AT(15,10),USE(?ImageIcon)
       STRING('???'),AT(50,10),USE(?StringTitle)
       STRING('by Gordon Smith (schmoo@oceanfree.net)'),AT(50,20)
       STRING('Copyright <169> 1988-'),AT(50,30),USE(?StringCopyright)
       STRING('Version'),AT(50,53)
       STRING('???'),AT(164,53),USE(?StringVer)
       STRING('Compiled Version'),AT(50,63)
       STRING('???'),AT(164,63),USE(?StringLIBVer)
       STRING('Runtime Version'),AT(50,73)
       STRING('???'),AT(164,73),USE(?StringDLLVer)
       STRING('Windows Version'),AT(50,83)
       STRING('???'),AT(164,83),USE(?StringWinVer)
       PANEL,AT(10,105,215,10),BEVEL(-1,1,0600H)
       BUTTON('&OK'),AT(180,129,45,14),USE(?ButtOK)
       PROMPT('Warning:  This computer program is protected by copyright law and international ' &|
           'treaties.  Unauthorised reproduction or distrubution of this program, or any pro' &|
           'tion of it, may result in severe civil and criminal penalties. Known violators w' &|
           'ill be prosecuted to the maximum extent possible under the law.'),AT(10,109,163,34),LEFT, |
           FONT('Small Fonts',6,,FONT:regular)
     END

  code

  ulWinVer = GetVersion()

  open(Window)

  window{PROP:Text} = 'About ' & sTitle
  ?ImageIcon{PROP:Text} = sIcon
  ?StringTitle{PROP:Text} = sTitle
  ?StringCopyright{PROP:Text} = ?StringCopyright{PROP:Text} & year(today())

  COMPILE('__32__', _WIDTH32_)
  ?StringVer{PROP:Text} = clip(sVer) & ' - 32bit'
  !__32__
  OMIT('__32__', _WIDTH32_)
  ?StringVer{PROP:Text} = clip(sVer) & ' - 16bit'
  !__32__

  ?StringLIBVer{PROP:Text} = SYSTEM{PROP:ExeVersion}
  ?StringDLLVer{PROP:Text} = SYSTEM{PROP:LibVersion}
  ?StringWinVer{PROP:Text} = clip(gWinVer.bLoLo) & '.' & clip(gWinVer.bLoHi)

  accept
    case field()
    of ?ButtOK
      case event()
      of EVENT:Accepted
        post(EVENT:CloseWindow)
      end
    end
  end

  close(window)
