  member()

  include('gjsRed.INC')

  map
  end

!|  -------------------------------------------------------------------------------------------------
gjsRedClass.Construct        procedure()

  code
  self.bClarion4Flag = False
  self.qRed &= new(gjsRedQueue)
!|  -------------------------------------------------------------------------------------------------
gjsRedClass.Destruct         procedure()

  code
  free(self.qRed)
  dispose(self.qRed)
!|  -------------------------------------------------------------------------------------------------
gjsRedClass.DoLoadQ         procedure(string sRed, <string sDefaultDir>, string sClarionDir)

sAscii                      string(FILE:MaxFilePATH), thread
fAscii                      file, driver('ASCII','/FILEBUFFERS=32 /QUICKSCAN=ON'), name(sAscii)
record                        record
sLine                          string(255)
                              end
                            end
lStart                      long
lStop                       long

bWriteFlag                  byte

lExt                        long

  code
  self.usTmpLineNo = 0
  if self.sRed ~= sRed or |
     records(self.qRed) = 0 or |
     ~omitted(3)
    free(self.qRed)
    self.sRed = clip(sRed)
    sAscii = self.sRed
    open(fAscii, 0h)
    if ~errorcode()
      set(fAscii)
      loop; yield
        next(fAscii)
        if errorcode()
          break
        end
        if fASCII.sLine ~= ''
          if lower(fASCII.sLine) = '[debug16]' or |
             lower(fASCII.sLine) = '[debug32]' or |
             lower(fASCII.sLine) = '[release16]' or |
             lower(fASCII.sLine) = '[release32]' or |
             lower(fASCII.sLine) = '[common]'
            if instring('debug16', lower(fASCII.sLine), 1, 1)
              self.bDebug16 = True
            else
              clear(self.bDebug16)
            end
            if instring('debug32', lower(fASCII.sLine), 1, 1)
              self.bDebug32 = True
            else
              clear(self.bDebug32)
            end
            if instring('release16', lower(fASCII.sLine), 1, 1)
              self.bRelease16 = True
            else
              clear(self.bRelease16)
            end
            if instring('release32', lower(fASCII.sLine), 1, 1)
              self.bRelease32 = True
            else
              clear(self.bRelease32)
            end
            if instring('common', lower(fASCII.sLine), 1, 1)
              self.bCommon = True
            else
              clear(self.bCommon)
            end
            self.bClarion4Flag = True
          else
            self.bCommon = True
          end
          clear(self.sExt)
          lStart = instring('=', fASCII.sLine, 1, 1)
          lExt = instring('.', fASCII.sLine, 1, 1)
          if lExt < lStart
            self.sExt = lower(fASCII.sLine[lExt : lStart - 1])
          end
          if lStart ~= 0
            bWriteFlag = 0
            loop; yield
              lStop = instring(';', fASCII.sLine, 1, lStart + 1)
              if lStop = 0
                lStop = len(fASCII.sLine)
                do LoadQ
                break
              end
              do LoadQ
              lStart = lStop
            end
          end
        end
      end
      close(fAscii)
    end
  end
!  sTmp = 'tmp64738.910'
!  if self.GetFileExists(sTmp, lTmp1, lTmp2) = -1
!    free(self.qRed)
!  end
  sort(self.qRed, -self.qRed.sExt, self.qRed.usLineNo)
  return(records(self.qRed))

LoadQ                       routine
  data
lStart2                     long
lStop2                      long

  code
  clear(self.qRed)
  self.qRed.sName = lower(left(clip(fASCII.sLine[lStart + 1 : lStop - 1])))
  if bWriteFlag = 0
    bWriteFlag = 1
    self.qRed.bWriteFlag = 1
  else
    self.qRed.bWriteFlag = 0
  end
  if ~omitted(3) and self.qRed.sName = '.'
    self.qRed.sName = sDefaultDir[1: len(clip(sDefaultDir)) - 1]    !| Remove trailing '\'
  end
  self.usTmpLineNo += 1
  self.qRed.usLineNo = self.usTmpLineNo

  lStart2 = instring('%root%', lower(self.qRed.sName))
  if lStart2 ~= 0
    if sClarionDir[len(clip(sClarionDir))] = '\'
      sClarionDir = sClarionDir[1 : len(clip(sClarionDir)) - 1]
    end
    lStart -= 1
    lStop2 = lStart2 + 6
    self.qRed.sName = sub(self.qRed.sName, 1, lStart2 - 1) & |
                      clip(sClarionDir) & |
                      sub(self.qRed.sName, lStop2, len(self.qRed.sName) - lStop2)
  end
  self.qRed.bDebug16 = self.bDebug16
  self.qRed.bDebug32 = self.bDebug32
  self.qRed.bRelease16 = self.bRelease16
  self.qRed.bRelease32 = self.bRelease32
  self.qRed.bCommon = self.bCommon
  self.qRed.sExt = self.sExt
  add(self.qRed)
!|  -------------------------------------------------------------------------------------------------
gjsRedClass.GetFileExists   procedure(string sFileName, byte bWriteFlag = 0)

gResult                     group(ResultGroup)
                            end

i                           ushort

cFile                       gjsFileClass

qFiles                      queue(ff_:Queue), pre(DIR)
                            end

  code
  clear(gResult)
  cFile.Init(clip(sFileName))
  loop i = 1 to records(self.qRed)
    get(self.qRed, i)
    if bWriteFlag and self.qRed.bWriteFlag = 0
      cycle
    end

    if lower(self.qRed.sExt) = lower(cFile.sExt) or |
       lower(self.qRed.sExt) = lower('.*')
      free(qFiles)
      directory(qFiles, clip(self.qRed.sName) & '\' & clip(cFile.sName) & clip(cFile.sExt), 0)
      get(qFiles, 1)
      if ~errorcode()
        if gResult.sExt ~= cFile.sExt[2 : len(cFile.sExt)]
          gResult.sExt = cFile.sExt[2 : len(cFile.sExt)]
        end
        if self.qRed.bDebug16 = True
          if gResult.gDebug16.lDate < qFiles.Date or |
             (gResult.gDebug16.lDate = qFiles.Date and gResult.gDebug16.lTime < qFiles.Time)
            gResult.gDebug16.sPath = clip(self.qRed.sName) & '\' & clip(cFile.sName) & clip(cFile.sExt)
            gResult.gDebug16.lDate = qFiles.Date
            gResult.gDebug16.lTime = qFiles.Time
          end
        elsif self.qRed.bDebug32 = True
          if gResult.gDebug32.lDate < qFiles.Date or |
             (gResult.gDebug32.lDate = qFiles.Date and gResult.gDebug32.lTime < qFiles.Time)
            gResult.gDebug32.sPath = clip(self.qRed.sName) & '\' & clip(cFile.sName) & clip(cFile.sExt)
            gResult.gDebug32.lDate = qFiles.Date
            gResult.gDebug32.lTime = qFiles.Time
          end
        elsif self.qRed.bRelease16 = True
          if gResult.gRelease16.lDate < qFiles.Date or |
             (gResult.gRelease16.lDate = qFiles.Date and gResult.gRelease16.lTime < qFiles.Time)
            gResult.gRelease16.sPath = clip(self.qRed.sName) & '\' & clip(cFile.sName) & clip(cFile.sExt)
            gResult.gRelease16.lDate = qFiles.Date
            gResult.gRelease16.lTime = qFiles.Time
          end
        elsif self.qRed.bRelease32 = True
          if gResult.gRelease32.lDate < qFiles.Date or |
             (gResult.gRelease32.lDate = qFiles.Date and gResult.gRelease32.lTime < qFiles.Time)
            gResult.gRelease32.sPath = clip(self.qRed.sName) & '\' & clip(cFile.sName) & clip(cFile.sExt)
            gResult.gRelease32.lDate = qFiles.Date
            gResult.gRelease32.lTime = qFiles.Time
          end
        elsif self.qRed.bCommon = True
          if gResult.gCommon.lDate < qFiles.Date or |
             (gResult.gCommon.lDate = qFiles.Date and gResult.gCommon.lTime < qFiles.Time)
            gResult.gCommon.sPath = clip(self.qRed.sName) & '\' & clip(cFile.sName) & clip(cFile.sExt)
            gResult.gCommon.lDate = qFiles.Date
            gResult.gCommon.lTime = qFiles.Time
          end
        end
        break
      end
    end
  end
  return(gResult)
!|  -------------------------------------------------------------------------------------------------
gjsRedClass.GetResultString procedure(ResultGroup rResult)

gResultString               group(ResultStringGroup)
                            end

  code
  if rResult.gDebug16.sPath ~= ''
    gResultString.sResult = clip(upper(clip(rResult.sExt))) & '(16d), ' & format(rResult.gDebug16.lTime, @t7) & ', ' & format(rResult.gDebug16.lDate, @d17)
    gResultString.sPath = rResult.gDebug16.sPath
    gResultString.lDate = rResult.gDebug16.lDate
    gResultString.lTime = rResult.gDebug16.lTime
  end
  if rResult.gDebug32.sPath ~= ''
    if gResultString.lDate < rResult.gDebug32.lDate or |
       (gResultString.lDate = rResult.gDebug32.lDate and gResultString.lTime < rResult.gDebug32.lTime)
      gResultString.sResult = clip(upper(clip(rResult.sExt))) & '(32d), ' & format(rResult.gDebug32.lTime, @t7) & ', ' & format(rResult.gDebug32.lDate, @d17)
      gResultString.sPath = rResult.gDebug32.sPath
      gResultString.lDate = rResult.gDebug32.lDate
      gResultString.lTime = rResult.gDebug32.lTime
    end
  end
  if rResult.gRelease16.sPath ~= ''
    if gResultString.lDate < rResult.gRelease16.lDate or |
       (gResultString.lDate = rResult.gRelease16.lDate and gResultString.lTime < rResult.gRelease16.lTime)
      gResultString.sResult = clip(upper(clip(rResult.sExt))) & '(16), ' & format(rResult.gRelease16.lTime, @t7) & ', ' & format(rResult.gRelease16.lDate, @d17)
      gResultString.sPath = rResult.gRelease16.sPath
      gResultString.lDate = rResult.gRelease16.lDate
      gResultString.lTime = rResult.gRelease16.lTime
    end
  end
  if rResult.gRelease32.sPath ~= ''
    if gResultString.lDate < rResult.gRelease32.lDate or |
       (gResultString.lDate = rResult.gRelease32.lDate and gResultString.lTime < rResult.gRelease32.lTime)
      gResultString.sResult = clip(upper(clip(rResult.sExt))) & '(32), ' & format(rResult.gRelease32.lTime, @t7) & ', ' & format(rResult.gRelease32.lDate, @d17)
      gResultString.sPath = rResult.gRelease32.sPath
      gResultString.lDate = rResult.gRelease32.lDate
      gResultString.lTime = rResult.gRelease32.lTime
    end
  end
  if rResult.gCommon.sPath ~= ''
    if gResultString.lDate < rResult.gCommon.lDate or |
       (gResultString.lDate = rResult.gCommon.lDate and gResultString.lTime < rResult.gCommon.lTime)
      gResultString.sResult = clip(upper(clip(rResult.sExt))) & ', ' & format(rResult.gCommon.lTime, @t7) & ', ' & format(rResult.gCommon.lDate, @d17)
      gResultString.sPath = rResult.gCommon.sPath
      gResultString.lDate = rResult.gCommon.lDate
      gResultString.lTime = rResult.gCommon.lTime
    end
  end
!  message(gResultString.sResult)
  return(gResultString)
!|  -------------------------------------------------------------------------------------------------
gjsRedClass.GetFinalResult  procedure(string tFileName)

cFile                       gjsFileClass
gResult                     group(ResultGroup)
                            end

gResultString               group(ResultStringGroup)
                            end

lCurrentDate                long
lCurrentTime                long

sReturn                     string(255)
sFileName                   string(FILE:MaxFilePath)

  code
  sFileName = shortpath(tFileName)
  self.sFinalPath = ''
  cFile.Init(sFileName)
  clear(lCurrentDate)
  clear(lCurrentTime)
  if records(self.qRed)
    clear(sReturn)

    gResult = self.GetFileExists(clip(cFile.sDrive) & clip(cFile.sDir) & clip(cFile.sName) & '.lib', 1)
    gResultString = self.GetResultString(gResult)
    if gResultString.sResult ~= ''
      self.sFinalPath = gResultString.sPath
      sReturn = clip(gResultString.sResult)
    end

    gResult = self.GetFileExists(clip(cFile.sDrive) & clip(cFile.sDir) & clip(cFile.sName) & '.exe', 1)
    gResultString = self.GetResultString(gResult)
    if gResultString.sResult ~= ''
      self.sFinalPath = gResultString.sPath
      sReturn = clip(gResultString.sResult)
      lCurrentDate = gResultString.lDate
      lCurrentTime = gResultString.lTime
    end

    gResult = self.GetFileExists(clip(cFile.sDrive) & clip(cFile.sDir) & clip(cFile.sName) & '.dll', 1)
    gResultString = self.GetResultString(gResult)
    if gResultString.sResult ~= ''
      if gResultString.lDate > lCurrentDate or |
         (gResultString.lDate = lCurrentDate and gResultString.lTime > lCurrentTime)
        self.sFinalPath = gResultString.sPath
        sReturn = clip(gResultString.sResult)
        lCurrentDate = gResultString.lDate
        lCurrentTime = gResultString.lTime
      end
    end

    if sReturn = ''
      sReturn = eNoExeFound
    end
  end
  return(sReturn)
